5 Replies Latest reply on Apr 19, 2016 12:13 PM by Sue Garibaldi

    galaxy note 10.1 2014 edition? Not supported

    shiznit1994 Level 1

      So I go out and get a new tablet and I am all excited to use these new mobile apps and I get "Your device is isn't compatible with this version." Version of what? Tablets? What good is this product (and the other mobile apps) if you can't use them on a tablet... I feel like I just wasted $400 bucks for nothing...